SftpVerification (JFtp)
Date: 2011-08-31

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class SftpVerification

    java.lang.Object
      AbstractKnownHostsKeyVerification
          net.sf.jftp.net.wrappers.SftpVerification

    public class SftpVerification

extends AbstractKnownHostsKeyVerification

Constructor Summary
`SftpVerification(java.lang.String tmp)`

Method Summary
`void` | `onDeniedHost(java.lang.String host)`
`void` | `onHostKeyMismatch(java.lang.String host, SshPublicKey recordedFingerprint, SshPublicKey actualFingerprint)`
`void` | `onUnknownHost(java.lang.String host, SshPublicKey fingerprint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SftpVerification

    public SftpVerification(java.lang.String tmp)
                     throws InvalidHostFileException

Throws:
  `InvalidHostFileException`

Method Detail

### onDeniedHost

    public void onDeniedHost(java.lang.String host)
                      throws TransportProtocolException

  Throws:
    `TransportProtocolException`

### onHostKeyMismatch

    public void onHostKeyMismatch(java.lang.String host,
                                  SshPublicKey recordedFingerprint,
                                  SshPublicKey actualFingerprint)
                           throws TransportProtocolException

  Throws:
    `TransportProtocolException`

### onUnknownHost

    public void onUnknownHost(java.lang.String host,
                              SshPublicKey fingerprint)
                       throws TransportProtocolException

  Throws:
    `TransportProtocolException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD